searchData={"items":[{"type":"module","title":"PdfExtractor","doc":"","ref":"PdfExtractor.html"},{"type":"function","title":"PdfExtractor.extract_text/3","doc":"See  PdfExtractor.PdfPlumber.extract_text/3 .","ref":"PdfExtractor.html#extract_text/3"},{"type":"extras","title":"PdfExtractor","doc":"# PdfExtractor\n\n[![Release](https://img.shields.io/hexpm/v/pdf_extractor.svg)](https://hex.pm/packages/pdf_extractor)\n[![Documentation](https://img.shields.io/badge/docs-hexpm-blue.svg)](https://hexdocs.pm/pdf_extractor)\n[![Downloads](https://img.shields.io/hexpm/dt/pdf_extractor.svg)](https://hex.pm/packages/pdf_extractor)\n[![License](https://img.shields.io/hexpm/l/pdf_extractor.svg)](https://hex.pm/packages/pdf_extractor)\n[![Last Commit](https://img.shields.io/github/last-commit/nelsonmestevao/pdf_extractor.svg)](https://github.com/nelsonmestevao/pdf_extractor)\n\n\nA lightweight Elixir library for extracting text from PDF files using Python's `pdfplumber`. Supports single and \nmulti-page extraction with optional area filtering.","ref":"readme.html"},{"type":"extras","title":"Features - PdfExtractor","doc":"- 🔍 Extract text from single or multiple PDF pages\n- 📍 Area-based extraction using bounding boxes\n- 🐍 Leverages Python's powerful `pdfplumber` library\n- 🚀 Simple and intuitive API\n- ✅ Comprehensive test coverage\n- 📚 Full documentation","ref":"readme.html#features"},{"type":"extras","title":"Installation - PdfExtractor","doc":"Add `pdf_extractor` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:pdf_extractor, \"~> 0.2.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - PdfExtractor","doc":"Extract text from specific regions using bounding boxes `[x0, y0, x1, y1]`:\n\n```elixir\npages = [0, 1] # zero based index\nareas = %{\n  0 => [0, 0, 300, 200],    # Top-left area of page 0\n  1 => [200, 300, 600, 500] # Bottom-right area of page 1\n}\nPdfExtractor.PdfPlumber.extract_text(\"path/to/document.pdf\", pages, areas)\n```","ref":"readme.html#usage"},{"type":"extras","title":"Return Format - PdfExtractor","doc":"The function returns a map where keys are page numbers and values are the extracted text:\n\n```elixir\n%{\n  0 => \"Text from page 0...\",\n  1 => \"Text from page 1...\",\n  2 => \"Text from page 2...\"\n}\n```","ref":"readme.html#return-format"},{"type":"extras","title":"License - PdfExtractor","doc":"This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.","ref":"readme.html#license"},{"type":"extras","title":"Acknowledgments - PdfExtractor","doc":"- Built on top of the excellent [pdfplumber](https://github.com/jsvine/pdfplumber) Python library\n- Uses [pythonx](https://github.com/livebook-dev/pythonx) for seamless Python integration","ref":"readme.html#acknowledgments"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]\n\n## [0.1.0] - 2025-06-21","ref":"changelog.html"},{"type":"extras","title":"Added - Changelog","doc":"- Initial release of PdfExtractor\n- Support for extracting text from PDF files using Python's pdfplumber\n- Single page text extraction\n- Multi-page text extraction\n- Area-based text extraction with bounding boxes\n- Comprehensive test suite\n- Documentation and examples\n\n[Unreleased]: https://github.com/YOUR_USERNAME/pdf_extractor/compare/v0.1.0...HEAD\n[0.1.0]: https://github.com/YOUR_USERNAME/pdf_extractor/releases/tag/v0.1.0","ref":"changelog.html#added"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}